Generate content using nano-banana-2
curl --request POST \
--url https://api.kie.ai/api/v1/jobs/createTask \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "nano-banana-2",
"callBackUrl": "https://your-domain.com/api/callback",
"input": {
"prompt": "Highly detailed illustration of a futuristic banana-shaped spacecraft flying over a neon city at night, ultra realistic lighting, cinematic, 4K",
"aspect_ratio": "auto",
"resolution": "2K",
"output_format": "jpg",
"image_input": []
}
}
'import requests
url = "https://api.kie.ai/api/v1/jobs/createTask"
payload = {
"model": "nano-banana-2",
"callBackUrl": "https://your-domain.com/api/callback",
"input": {
"prompt": "Highly detailed illustration of a futuristic banana-shaped spacecraft flying over a neon city at night, ultra realistic lighting, cinematic, 4K",
"aspect_ratio": "auto",
"resolution": "2K",
"output_format": "jpg",
"image_input": []
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'nano-banana-2',
callBackUrl: 'https://your-domain.com/api/callback',
input: {
prompt: 'Highly detailed illustration of a futuristic banana-shaped spacecraft flying over a neon city at night, ultra realistic lighting, cinematic, 4K',
aspect_ratio: 'auto',
resolution: '2K',
output_format: 'jpg',
image_input: []
}
})
};
fetch('https://api.kie.ai/api/v1/jobs/createTask', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"msg": "success",
"data": {
"taskId": "task_nano-banana-2_1765178625768"
}
}Google
Google - Nano Banana 2
Image generation using Google’s Nano Banana 2 model
POST
/
api
/
v1
/
jobs
/
createTask
Generate content using nano-banana-2
Query Task Status
After submitting a task, use the unified task query endpoint to check progress and retrieve results:Get Task Details
Learn how to query task status and retrieve generation results
For production use, we recommend using the callBackUrl parameter to receive automatic notifications when generation completes, rather than polling the status endpoint.
Related Resources
Market Overview
Explore and compare all available models
Common API
Check account credits and usage
Authorizations
All APIs require authentication via Bearer Token.
Get API Key:
- Visit API Key Management Page to get your API Key
Usage: Add to request header: Authorization: Bearer YOUR_API_KEY
Note:
- Keep your API Key secure and do not share it with others
- If you suspect your API Key has been compromised, reset it immediately in the management page
Body
application/json
The model name to use for generation. Required field.
- Must be
nano-banana-2for this endpoint
Available options:
nano-banana-2 Example:
"nano-banana-2"
The URL to receive generation task completion updates. Optional but recommended for production use.
- System will POST task status and results to this URL when generation completes
- Callback includes generated content URLs and task information
- Your callback endpoint should accept POST requests with JSON payload containing results
- Alternatively, use the Get Task Details endpoint to poll task status
- To ensure callback security, see Webhook Verification Guide for signature verification implementation
Example:
"https://your-domain.com/api/callback"
Input parameters for the generation task
Show child attributes
Show child attributes
Response
Request successful
Response status code
- 200: Success - Request has been processed successfully
- 401: Unauthorized - Authentication credentials are missing or invalid
- 402: Insufficient Credits - Account does not have enough credits to perform the operation
- 404: Not Found - The requested resource or endpoint does not exist
- 422: Validation Error - The request parameters failed validation checks
- 429: Rate Limited - Request limit has been exceeded for this resource
- 455: Service Unavailable - System is currently undergoing maintenance
- 500: Server Error - An unexpected error occurred while processing the request
- 501: Generation Failed - Content generation task failed
- 505: Feature Disabled - The requested feature is currently disabled
Available options:
200, 401, 402, 404, 422, 429, 455, 500, 501, 505 Response message, error description when failed
Example:
"success"
Show child attributes
Show child attributes
